package net.ranides.demo.debugger.impl;

import net.ranides.demo.debugger.DiClass;
import net.ranides.demo.debugger.DiClasses;

import net.ranides.assira.collection.query.CQuery;
import net.ranides.assira.reflection.*;
import net.ranides.assira.reflection.impl.AElements;
import net.ranides.assira.reflection.impl.AHints;

import java.util.List;

public class CDiClasses extends AElements<DiClass> implements DiClasses {

    public CDiClasses(CQuery<DiClass> cquery) {
        super(AHints.EMPTY, cquery);
    }

    public CDiClasses(IHints hints, CQuery<DiClass> cquery) {
        super(hints, cquery);
    }

    @Override
    public List<String> names() {
        return null;
    }

    @Override
    public IElements<? extends IElement> parent() {
        return null;
    }
}
